For the complete documentation index, see llms.txt. This page is also available as Markdown.

Location

Location-related operations

Find nearby pins using spatial query

get

Returns pins within a specified radius of a geographic location using PostGIS spatial queries. Radius is in meters.

Query parameters
latstringRequired

Latitude in decimal degrees (will be parsed as a number)

Example: 40.735554
lonstringRequired

Longitude in decimal degrees (will be parsed as a number)

Example: -73.987968
radiusstring · max: 100000Optional

Search radius in meters (default: 1000m / 1km, min: 0m, max: 100,000m, will be parsed as a number)

Default: 1000Example: 200
Responses
200

List of nearby pins with distances

application/json
get/location/pins
GET /api/location/pins?lat=text&lon=text HTTP/1.1
Accept: */*
{
  "pins": [
    {
      "id": 1,
      "title": "text",
      "latitude": 1,
      "longitude": 1,
      "geoPose": {},
      "contentType": "APK",
      "contentUrl": "text",
      "localizationData": {
        "trackingMode": "WORLD",
        "worldmapURL": "https://example.com"
      },
      "zoneId": 1,
      "gcpId": 1,
      "userId": "text",
      "visibility": "public",
      "relocalizationPhotoUrl": "text",
      "scanInstructions": "text",
      "cameraPoseHint": {},
      "blockchainSignature": "text",
      "blockchainTxUrl": "text",
      "blockchainSyncedAt": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "distance": 123.45
    }
  ]
}

Last updated